pydo.genai.update_model_evaluation_run()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.genai.update_model_evaluation_run(
eval_run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"eval_run_uuid": "\"12345678-1234-1234-1234-123456789012\"",
"name": "My evaluation run",
},
)Description
To update a model evaluation run’s display name, send a PATCH request to /v2/gen-ai/model_evaluation_runs/{eval_run_uuid}.
Parameters
eval_run_uuidstring requiredUUID of the model evaluation run to update. Returned by
CreateModelEvaluationRun
and listed viaListModelEvaluationRuns.eval_run_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"UUID of the model evaluation run to update. Returned by
CreateModelEvaluationRun
and listed viaListModelEvaluationRuns.namestring optionalExample:
My evaluation runOptional new display name for the evaluation run (max 255 characters).
Request Sample
Response Example
More Information
See /v2/gen-ai/model_evaluation_runs/{eval_run_uuid} in the API reference for additional detail on responses, headers, parameters, and more.